.sheet-frame {
  position: relative;
  width: 100%;
  height: 100%;

  user-select: none;
  font-size: $sheet-font-size;
  overflow: hidden;

  .et-header-resize-area {
    border: 1px solid $gray-400;
    border-left: 0;

    &:hover {
      background-color: $gray-300;
    }

    &:active {
      background-color: $gray-400;
    }
  }

  .ember-table {
    position: absolute;
    bottom: 0;
    right: 0;

    tbody, .et-cell-container, .et-cell-content, .ember-table-overflow {
      height: 100%;
    }

    th {
      border: 0;
      padding: 0;
      font-size: 0;
      position: relative;
      z-index: 999;

      .table-head {
        border: 1px solid $gray-400;
        border-left-color: transparent;
        overflow: hidden;
        text-overflow: ellipsis;
        padding-right: $spacer;
        padding-left: 3px;
      }

      & > div {
        height: $sheet-row-height;
        line-height: $sheet-row-height;
        background-color: $gray-100;
        white-space: nowrap;
        font-size: $sheet-font-size;
      }
    }

    td {
      padding: 0;
      height: 100%;

      background-color: $white;
      background-color: $white;
      line-height: $sheet-row-height;

      .td-container {
        width: calc(100% + 1px);
        height: calc(100% + 1px);
        border: 1px solid $gray-400;
        position: relative;
        top: -1px;
        left: -1px;
        padding: 3px;
        overflow: hidden;
        text-overflow: ellipsis;
        padding-right: $spacer;

        &.is-selected {
          border: 2px solid $primary;
          padding: 2px;

          &.editor-none {
            border-color: $gray-700;
          }

          &.editor-custom {
            border-color: $cyan-400;
          }
        }

        ol {
          padding-left: 1rem;
          margin-bottom: 0;
        }
      }

      &.is-selected {
        position: relative;
        z-index: 99;
      }
    }
  }
}
